Package org.stianloader.micromixin.transform.internal

## Class MemberDesc

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.MemberDesc

-     public class MemberDesc
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `desc` |
    `java.lang.String` | `name` |
    `java.lang.String` | `owner` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemberDesc​(java.lang.String owner, java.lang.String name, java.lang.String desc)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `MemberDesc` | `remap​(SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)` |
    `static MemberDesc` | `remappedField​(java.lang.String owner, java.lang.String name, java.lang.String desc, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)` |
    `static MemberDesc` | `remappedMethod​(java.lang.String owner, java.lang.String name, java.lang.String desc, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### owner

          @NotNull
          public final java.lang.String owner

    - #### name

          @NotNull
          public final java.lang.String name

    - #### desc

          @NotNull
          public final java.lang.String desc

  - ### Constructor Detail

    - #### MemberDesc

          public MemberDesc​(@NotNull
                            java.lang.String owner,
                            @NotNull
                            java.lang.String name,
                            @NotNull
                            java.lang.String desc)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### remappedMethod

          @NotNull
          @Contract(pure=true,
                    value="_, _, _, _, _ -> new")
          public static MemberDesc remappedMethod​(@NotNull
                                                  java.lang.String owner,
                                                  @NotNull
                                                  java.lang.String name,
                                                  @NotNull
                                                  java.lang.String desc,
                                                  @NotNull
                                                  SimpleRemapper remapper,
                                                  @NotNull
                                                  java.lang.StringBuilder sharedBuilder)

    - #### remappedField

          @NotNull
          @Contract(pure=true,
                    value="_, _, _, _, _ -> new")
          public static MemberDesc remappedField​(@NotNull
                                                 java.lang.String owner,
                                                 @NotNull
                                                 java.lang.String name,
                                                 @NotNull
                                                 java.lang.String desc,
                                                 @NotNull
                                                 SimpleRemapper remapper,
                                                 @NotNull
                                                 java.lang.StringBuilder sharedBuilder)

    - #### remap

          @NotNull
          @Contract(pure=true,
                    value="null, _ -> fail; _, null -> fail; !null, !null -> new")
          public MemberDesc remap​(@NotNull
                                  SimpleRemapper remapper,
                                  @NotNull
                                  java.lang.StringBuilder sharedBuilder)